
%define patch_name kernel-feat-swsusp

Name: %patch_name
Version: 2005.01.02
Release: alt0.M24.1
Summary: %patch_name kernel patch - SWSUSP (suspend to disk) for Linux kernel
License: GPL
Group: Development/Other
URL: http://developer.berlios.de/projects/softwaresuspend
Packager: Alex Yustasov <yust@altlinux.ru>
BuildArch: noarch

# patches for 2.4
%source 1 20-softwaresuspend 2.4
%source 2 21-2.4.28-2.1.5.7-A 2.4
%source 3 22-2.4.29-2.1.5.7-B 2.4
%source 4 46-2.4.26-bootsplash-fixes 2.4/46_kernel-feat-drivers-video-splash
%source 5 13_sysctl-fix 2.4/47_kernel-fix-security-owl
%source 6 14_sysctl-fix 2.4/48_not_kernel-fix-security-owl
%source 7 11_swsusp-2.4.25-usb-ohci 2.4/51_kernel-fix-drivers-usb
%source 8 12_swsusp-2.4.25-usb-ohci 2.4/52_not_kernel-fix-drivers-usb
%source 9 53-Makefile 2.4/53_kernel-feat-cpufreq
%source 10 54-Makefile 2.4/54_not_kernel-feat-cpufreq
%source 11 15_reiserfs-fix 2.4/55_kernel-feat-fs-reiserfs
%source 12 44-Win4Lin 2.4/56_kernel-feat-core-win4lin
%source 13 60-gcc2.96-alarm 2.4

# patches for 2.6

BuildPreReq: kernel-build-tools >= 0.6-alt3

%description
This is the SWSUSP (suspend to disk) patch for Linux kernel.
Enable the possibility to save the state of your system and
quickly restore it.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sat Feb 05 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt0.M24.1
- backports to Master 2.4


